# Servere de nume

Teoretic, un singur server de nume poate conține întreaga bază de date
DNS și poate să răspundă tuturor cererilor. În practică, acest server
poate fi atât de încărcat încât să devina de neutilizat. Pentru a evita
probleme asociate cu existența unei singure surse de informație, spațiul
de nume DNS este împărțit în zone care nu se suprapun. O posibilă astfel
de împărțire este cea de mai jos.

![](images/setup-a-basic-recursive-caching-dns-server-and-configure-zones-for-domain.png)

Fiecare astfel de zonă conține câte o parte a arborelui, precum și
numele serverelor care păstrează informația autoritară despre acea zonă.
În mod normal, o zonă va avea un server de nume primar, care preia
informația dintr-un fișier de pe discul propriu, și unul sau mai multe
servere de nume secundare, care iau informația de la serverul primar.
Pentru a îmbunătăți fiabilitatea, unele servere pentru o zonă pot fi
plasate chiar în afara zonei.

Plasarea limitelor unei zone este la latitudinea administratorului ei.
Această decizie este luată în mare parte pe baza numărului de servere de
nume care se doresc a se folosi, și a locației acestora. Atunci când un
resolver are o cerere referitoare la un nume de domeniu, el transferă
cererea unuia din serverele locale de nume. Dacă domeniul este sub
jurisdicția serverului de nume, el va întoarce înregistrări de resurse
autoritare. O înregistrare autoritara (authoritative record) este cea
care vine de la autoritatea care administrează înregistrarea, și astfel
este întotdeauna corectă. Înregistrările autoritare se deosebesc de
înregistrările din memoria cache, care pot fi expirate.

Dacă totuși domeniul se află la distanță, iar local nu este disponibilă
nici o informație despre el, atunci serverul de nume trimite un mesaj de
cerere către serverul de nume de pe primul nivel al domeniului
solicitat. De menționat că metoda de interogare este recursivă
(recursive query), deoarece fiecare server care nu are informația cerută
o caută în altă parte și raportează.
