# Introducere

Programele se refera rareori la sisteme gazdă, cutii poștale și alte
resurse prin adresele lor binare. În loc de numere binare, se utilizează
șiruri ASCII, cum ar fi *user@cs.pub.ro*. Cu toate acestea, rețeaua
înțelege numai adrese binare, deci este necesar un mecanism care să
convertească șirurile ASCII în adrese de rețea. Protocolul care se ocupă
de acest lucru se numește DNS (Domain Name System - sistemul numelor de
domenii). Esența DNS-ului constă dintr-o schemă ierarhică de nume de
domenii și dintr-un sistem de baze de date distribuite pentru
implementarea acestei scheme de nume. Protocolul este definit in
RFC-urile [1034](https://tools.ietf.org/html/rfc1034) și
[1035](https://tools.ietf.org/html/rfc1035).

Primul mesaj e-mail a fost transmis in 1971 de un inginer pe nume Ray
Tomlinson. Până la acea dată, puteau fi trimise mesaje doar în cadrul
aceluiași calculator. Marea îmbunătățire introdusă de Tomlinson a fost
posibilitatea de a trimite mesaje între calculatoare diferite din
Internet, folosind semnul ’@’ pentru a desemna mașina spre care se
trimite mesajul.

Azi se trimit miliarde de mesaje e-mail pe zi, si totuși multe din
caracteristicile de atunci ale mesajelor au rămas.