# Stop-And-Wait

Un protocol foarte simplu pe care îl putem dezvolta peste protocolul UDP se numește **Stop-and-Wait**. În imaginea de mai jos avem o reprezentare grafică a acestui protocol. Presupunem că nu exista pierderi pe link-urile dintre host și receiver.

![](images/stop_and_wait.png)

Transmitatorul, trimite o datagrama UDP, așteaptă confirmarea de la receptor, iar apoi trimite următoarea datagrama UDP. ACK-ul este tot o datagrama, doar ca aceasta nu cară date, ci doar confirmă primirea datagramei anterioare.

Protocolul nostru simplu, are totuși o problemă: **nu foloseste link-urile
optim**.  Dacă noi am avea un link de 100Mbps cu un delay de 100ms între Sender și Receiver, atunci
protocolul în forma actuală ar avea un throughput de sub 3% din bandă deoarece o datagrama
UDP poate avea cel mult 65507 bytes (atunci când folosim IPv4).
Pentru a rezolva aceasta problemă, a fost dezvoltată tehnica de **fereastră
glisantă**.
