# OpenSSL

Cea mai populara si raspandita **implementare** de TLS se gaseste in
[**OpenSSL**](https://www.openssl.org/). OpenSSL este atat o biblioteca ce implementeaza
protocolul cat si un executabil `openssl -v` ce ofera diferite functionalitati precum criptarea
sau generarea perechilor de chei publice/private.


```bash
sudo apt install libssl-dev
```

De exemplu, pentru a genera o pereche de chei RSA, putem rula:

```bash
openssl genrsa -aes128 -out mykey.key 1024
```

In schimb, din C avem functii precum `BIO_new_connect` care face conexiunea TLS
cu un server. Peste acest API de C intalnim wrappere in alte limbaje de
programare.

```C
bio = BIO_new_connect("hostname:port");
```