# Slow Start

Algoritmul de Slow Start pornește cu o valoare a `CWND = IW * MSS` unde IW reprezintă Initial Window și este setat la 10, conform RFC6928.
La fiecare confirmare primită, Slow Start crește fereastră cu un MSS. 

```
CWND = CWND + MSS
```

Astfel, fereastră se dublează în fiecare round-trip time în timpul slow start (după 1RTT ea va ajunge 20MSS, după încă unul 40MSS, etc.) Slow start se încheie atunci când se detectează congestie în rețea, fie ca urmare a pierderii unui pachet, fie atunci când rețeaua indică explicit congestia cu ajutorul ECN (explicit congestion notification).

**Trecerea la algoritmul de congestie**. Introducem un prag (threshold), `ssthresh` după care o să trecem la utilizarea unui algoritm de congestie precum AIMD pentru
actualizarea CWND. Inițial `sstresh` are o valoare mare, dar la fiecare timeout acesta este actualizat
`ssthresh = CWND/2`. Atunci când `CWND > sstresh` transmițătorul face trecerea la AIMD.

![](images/slow_start.png)


